#ifndef __VAR_H__
#define __VAR_H__

#include <string.h>

//-----------------------------------------------------------------------------
enum Type89 {
    T_EXPR = 0x00,
    T_LIST = 0x04,
    T_MAT  = 0x06,
    T_DATA = 0x0A,
    T_TEXT = 0x0B,
    T_STR  = 0x0C,
    T_GDB  = 0x0D,
    T_FIG  = 0x0E,
    T_PIC  = 0x10,
    T_PRGM = 0x12,
    T_FUNC = 0x13,
    T_MAC  = 0x14,
    T_BACK = 0x1D,
    T_FOLD = 0x1F,
    T_CERT = 0x20,  // certificate?
    T_ASM  = 0x21,
    T_CODE = 0x23   // product code (ROM)
};

//-----------------------------------------------------------------------------

struct Var {
  char name[9];
  unsigned char type;
  unsigned char perm;  // bit 0: 1=locked(read-only)
  unsigned char calcid;
  unsigned length;     // number of bytes (or files, if type is T_FOLD)
  unsigned char *data;
  unsigned short checksum;

  Var() : data(0) {};
  ~Var() { if (data) delete [] data; };
  Var(const unsigned char *buf) // initialize by var header
    : type(buf[12]), perm(buf[13]), length(buf[14] + (buf[15] << 8)), data(0)
    {
      memcpy(name, buf+4, 8);
      name[8] = 0;
    };
  Var(const char *n, const unsigned char t, const unsigned s, const unsigned char p)
    : type(t), perm(p), length(s), data(0)
    {
      strncpy(name, n, 8);
      name[8] = 0;
    };

};

#endif // __VAR_H__

