#ifndef __KEYSYMS_H__
#define __KEYSYMS_H__

typedef const unsigned int keysym;

// 0x0001 - 0x00FF are character literals

keysym KEY_BS    = 0x0101;
keysym KEY_STO   = 0x0102;

keysym KEY_CLEAR = 0x0107;
keysym KEY_ESC   = 0x0108;
keysym KEY_APPS  = 0x0109;
keysym KEY_MODE  = 0x010A;
keysym KEY_ON    = 0x010B;

// ANS is 0x1114
keysym KEY_HOME  = 0x0115;
keysym KEY_CATLG = 0x0116;

keysym KEY_F1    = 0x010C;
keysym KEY_F2    = 0x010D;
keysym KEY_F3    = 0x010E;
keysym KEY_F4    = 0x010F;
keysym KEY_F5    = 0x0110;
keysym KEY_F6    = 0x0111;
keysym KEY_F7    = 0x0112;
keysym KEY_F8    = 0x0113;

keysym KEY_UP    = 0x0151;  // these can be or-ed together
keysym KEY_LEFT  = 0x0152;
keysym KEY_DOWN  = 0x0154;
keysym KEY_RIGHT = 0x0158;

keysym KEY_2ND   = 0x1000;  // these can be or-ed to other keys
keysym KEY_DIAM  = 0x2000;
keysym KEY_SHIFT = 0x4000;
keysym KEY_ALPHA = 0x8000;

#endif // __KEYSYMS_H__
